package com.spring.series.aop.advice;

import java.lang.reflect.Method;

import org.springframework.aop.AfterReturningAdvice;

public class AfterReturningAdviceInterceptor implements AfterReturningAdvice {

	@Override
	public void afterReturning(Object returnValue, Method method,Object args[],Object target) throws Throwable {
		System.out.println("******** AfterReturningAdvice : " + method.getName() + " ********");
	}

	/**
	 * this is method is invoked from the pointcut expression declared in the spring context xml
	 */
	public void afterReturningAdviceUsingPointcutExpression() {
		System.out.println("******** After Returning Advice using Pointcut Expression ********");
	}
}